classification
Title: "__lltrace__" seems to be wrong , "__ltrace__" is correct in Misc/SpecialBuilds.txt
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, Nojima Takahide, danishprakash, docs@python, miss-islington, pablogsal
Priority: normal Keywords: patch

Created on 2018-08-18 05:35 by Nojima Takahide, last changed 2018-08-25 02:15 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8822 merged danishprakash, 2018-08-19 17:08
PR 8915 merged miss-islington, 2018-08-25 02:00
PR 8916 merged miss-islington, 2018-08-25 02:00
Messages (8)
msg323692 - (view) Author: Nojima Takahide (Nojima Takahide) Date: 2018-08-18 05:35
In the Section "LLTRACE" of $(Python3.6-source)/Misc/SpecialBuilds.txt , it describes variable name is "__lltrace__",however it seems to be wrong, "__ltrace__" is correct. Would someone correct this document?
msg323740 - (view) Author: Danish Prakash (danishprakash) * Date: 2018-08-19 02:52
> however it seems to be wrong, "__ltrace__" is correct

just curious how did you figure it out?
msg323759 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-19 16:12
Content	
 
Hi @Nojima and thank you for the report. Do you mind doing a PR?

If not, I can do it myself if you prefer.
msg323761 - (view) Author: Danish Prakash (danishprakash) * Date: 2018-08-19 16:35
@pablogsal I would love to fix this up
msg324027 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-08-25 02:00
New changeset 09efe49c07e2d5f93b415ead757c87e20cc0026f by Mariatta (Danish Prakash) in branch 'master':
bpo-34426: fix typo (__lltrace__ -> __ltrace__) (GH-8822)
https://github.com/python/cpython/commit/09efe49c07e2d5f93b415ead757c87e20cc0026f
msg324028 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-08-25 02:08
Thanks!
msg324030 - (view) Author: miss-islington (miss-islington) Date: 2018-08-25 02:14
New changeset 0dc75f04575a6bfb2b072f62e5233444aea23e89 by Miss Islington (bot) in branch '3.7':
bpo-34426: fix typo (__lltrace__ -> __ltrace__) (GH-8822)
https://github.com/python/cpython/commit/0dc75f04575a6bfb2b072f62e5233444aea23e89
msg324031 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-08-25 02:15
New changeset b26fcd6e22b7c150318d555f67b009cedcf5c797 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-34426: fix typo (__lltrace__ -> __ltrace__) (GH-8822)
https://github.com/python/cpython/commit/b26fcd6e22b7c150318d555f67b009cedcf5c797
History
Date User Action Args
2018-08-25 02:15:59Mariattasetmessages: + msg324031
2018-08-25 02:14:14miss-islingtonsetnosy: + miss-islington
messages: + msg324030
2018-08-25 02:08:01Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg324028

stage: patch review -> resolved
2018-08-25 02:00:42miss-islingtonsetpull_requests: + pull_request8388
2018-08-25 02:00:36miss-islingtonsetpull_requests: + pull_request8387
2018-08-25 02:00:30Mariattasetnosy: + Mariatta
messages: + msg324027
2018-08-25 01:48:25terry.reedysetversions: + Python 3.7, Python 3.8
2018-08-19 17:08:21danishprakashsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8301
2018-08-19 16:35:50danishprakashsetmessages: + msg323761
2018-08-19 16:12:49pablogsalsetmessages: + msg323759
2018-08-19 16:12:44pablogsalsetmessages: - msg323758
2018-08-19 16:12:22pablogsalsetnosy: + pablogsal
messages: + msg323758
2018-08-19 02:52:43danishprakashsetnosy: + danishprakash
messages: + msg323740
2018-08-18 05:35:11Nojima Takahidecreate